OpenVDB: ReadAccessor< BuildT, LEVEL0, LEVEL1, -1 > Class Template Reference

OpenVDB 10.0.1

Public Types | Public Member Functions | Static Public Attributes | Friends | List of all members
ReadAccessor< BuildT, LEVEL0, LEVEL1, -1 > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

## Public Types
using | ValueType = ValueT
using | CoordType = CoordT
using | NodeInfo = typename ReadAccessor< ValueT,-1,-1,-1 >::NodeInfo

## Public Member Functions
| ReadAccessor (const RootT &root)
| Constructor from a root node. More...
| ReadAccessor (const GridT &grid)
| Constructor from a grid. More...
| ReadAccessor (const TreeT &tree)
| Constructor from a tree. More...
void | clear ()
| Reset this access to its initial state, i.e. with an empty cache. More...
const RootT & | root () const
| ReadAccessor (const ReadAccessor &)=default
| Defaults constructors. More...
| ~ReadAccessor ()=default
ReadAccessor & | operator= (const ReadAccessor &)=default
bool | isCached1 (const CoordType &ijk) const
bool | isCached2 (const CoordType &ijk) const
ValueType | getValue (const CoordType &ijk) const
ValueType | operator() (const CoordType &ijk) const
ValueType | operator() (int i, int j, int k) const
NodeInfo | getNodeInfo (const CoordType &ijk) const
bool | isActive (const CoordType &ijk) const
bool | probeValue (const CoordType &ijk, ValueType &v) const
const LeafT * | probeLeaf (const CoordType &ijk) const
template<typename RayT >
uint32_t | getDim (const CoordType &ijk, const RayT &ray) const

## Static Public Attributes
static const int | CacheLevels = 2

## Friends
template<typename >
class | RootNode
| Allow nodes to insert themselves into the cache. More...
template<typename , uint32_t >
class | InternalNode
template<typename , typename , template< uint32_t > class, uint32_t >
class | LeafNode

## Member Typedef Documentation

## ◆ CoordType

using CoordType = CoordT

## ◆ NodeInfo

using NodeInfo = typename ReadAccessor<ValueT,-1,-1,-1>::NodeInfo

## ◆ ValueType

using ValueType = ValueT

## Constructor & Destructor Documentation

## ◆ ReadAccessor() [1/4]

ReadAccessor | ( | const RootT & | root | ) |
| inline

Constructor from a root node.

## ◆ ReadAccessor() [2/4]

ReadAccessor | ( | const GridT & | grid | ) |
| inline

Constructor from a grid.

## ◆ ReadAccessor() [3/4]

ReadAccessor | ( | const TreeT & | tree | ) |
| inline

Constructor from a tree.

## ◆ ReadAccessor() [4/4]

ReadAccessor | ( | const ReadAccessor< BuildT, LEVEL0, LEVEL1, -1 > & |  | ) |
| default

Defaults constructors.

## ◆ ~ReadAccessor()

~ReadAccessor | ( |  | ) |
| default

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |
| inline

Reset this access to its initial state, i.e. with an empty cache.

## ◆ getDim()

uint32_t getDim | ( | const CoordType & | ijk,
|  | const RayT & | ray
| ) |  | const
| inline

## ◆ getNodeInfo()

NodeInfo getNodeInfo | ( | const CoordType & | ijk | ) | const
| inline

## ◆ getValue()

ValueType getValue | ( | const CoordType & | ijk | ) | const
| inline

## ◆ isActive()

bool isActive | ( | const CoordType & | ijk | ) | const
| inline

## ◆ isCached1()

bool isCached1 | ( | const CoordType & | ijk | ) | const
| inline

## ◆ isCached2()

bool isCached2 | ( | const CoordType & | ijk | ) | const
| inline

## ◆ operator()() [1/2]

ValueType operator() | ( | const CoordType & | ijk | ) | const
| inline

## ◆ operator()() [2/2]

ValueType operator() | ( | int | i,
|  | int | j,
|  | int | k
| ) |  | const
| inline

## ◆ operator=()

ReadAccessor & operator= | ( | const ReadAccessor< BuildT, LEVEL0, LEVEL1, -1 > & |  | ) |
| default

## ◆ probeLeaf()

const LeafT * probeLeaf | ( | const CoordType & | ijk | ) | const
| inline

## ◆ probeValue()

bool probeValue | ( | const CoordType & | ijk,
|  | ValueType & | v
| ) |  | const
| inline

## ◆ root()

const RootT & root | ( |  | ) | const
| inline

## Friends And Related Function Documentation

## ◆ InternalNode

friend class InternalNode
| friend

## ◆ LeafNode

friend class LeafNode
| friend

## ◆ RootNode

friend class RootNode
| friend

Allow nodes to insert themselves into the cache.

## Member Data Documentation

## ◆ CacheLevels

const int CacheLevels = 2
| static